org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

## Class TechnicalitiesFilter

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.AbstractDifferenceFilter
  - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl.TechnicalitiesFilter

All Implemented Interfaces:
  IDeactivableDiffFilter, IDifferenceFilter

    public class TechnicalitiesFilter
    extends AbstractDifferenceFilter

A filter used by default that rejects all 'technical' differences. The technical differences are the diffs that apply on empty `MatchResource`s, on `FeatureMap` diffs, on identical elements and on pseudo-conflicts.

This filter aggregates the former 4 corresponding filters.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.IDifferenceFilter

`IDifferenceFilter.Registry`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.AbstractDifferenceFilter

`activeByDefault, description, label`

### Constructor Summary

Constructors
Constructor and Description
`TechnicalitiesFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.common.base.Predicate<? super EObject>` `getPredicateWhenSelected()` Returns the predicate that will filter out objects in the structural differences view when this filter will be selected.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.AbstractDifferenceFilter

`defaultSelected, getDescription, getLabel, getPredicateWhenUnselected, isActive, isEnabled, setActive, setDefaultSelected, setDescription, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TechnicalitiesFilter

    public TechnicalitiesFilter()

### Method Detail

#### getPredicateWhenSelected

    public com.google.common.base.Predicate<? super EObject> getPredicateWhenSelected()

Description copied from class: `AbstractDifferenceFilter`
Returns the predicate that will filter out objects in the structural differences view when this filter will be selected.

Specified by:
  `getPredicateWhenSelected` in interface `IDifferenceFilter`
Specified by:
  `getPredicateWhenSelected` in class `AbstractDifferenceFilter`
Returns:
  the predicate that will filter out objects in the structural differences view when this filter will be selected.
See Also:
  `IDifferenceFilter.getPredicateWhenSelected()`